Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.ormapping
Class OracleClobMapping

    java.lang.Object
      |
      +--com.solarmetric.kodo.impl.jdbc.ormapping.Mapping
            |
            +--com.solarmetric.kodo.impl.jdbc.ormapping.FieldMapping
                  |
                  +--com.solarmetric.kodo.impl.jdbc.ormapping.LobMapping
                        |
                        +--com.solarmetric.kodo.impl.jdbc.ormapping.ClobMapping
                              |
                              +--com.solarmetric.kodo.impl.jdbc.ormapping.OracleClobMapping

All Implemented Interfaces:
  LoadSecondary, PrimaryTable, StorePrimary, StoreSecondary

public class OracleClobMapping
extends ClobMapping
implements StoreSecondary

Oracle-specific CLOB mapping that deals with Oracle's CLOB craziness.

Field Summary
`static Object` | `EMPTY_CLOB`

Fields inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.LobMapping
`REF_COL`

Fields inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.FieldMapping
`COL_INDEX, COL_LENGTH, DATA_COL, EMPTY_COLUMNS`

Fields inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.Mapping
`_loc, _log, CUSTOM_MAPPING, dict, MAPPING, TABLE`

Constructor Summary
`OracleClobMapping()`

Method Summary
`void` | `delete(StateManagerImpl sm, Object[] pks, int field, SQLExecutionManager sqlem)` Delete the field from the secondary table for this mapping.
`void` | `insert(StateManagerImpl sm, Object[] pks, int field, SQLExecutionManager sqlem)` Insert the given field into the secondary table for this mapping.
`void` | `update(StateManagerImpl sm, Object[] pks, int field, SQLExecutionManager sqlem)` Update the given field into the secondary table for this mapping.
`void` | `update(Update update, StateManagerImpl sm, int field)` Add the crazy 'EMPTY_CLOB()' directive in the appropriate spot.

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.ClobMapping
`canMap, getSQLType`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.LobMapping
`appendIsEmpty, appendIsNotNull, appendIsNull, delete, getColumns, getKeyColumns, getLoadResultSet, getPKColumns, getRefColumns, insert, install, join, joinKey, joinKeyRelation, joinRelation, load, select, setPKColumns, setRefColumns`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.FieldMapping
`addColumn, addPKColumns, compareToNull, getDataColumns, getDataStoreValue, getInstance, getInstance, getKeyDataStoreValue, getMetaData, join, setDataColumns`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.Mapping
`checkExtension, createMapping, createMapping, createMappings, createMappings, getClassName, getConfiguration, getDictionary, getFieldMapping, getInstance, getTable, install`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_CLOB

    public static final Object EMPTY_CLOB

Constructor Detail

### OracleClobMapping

    public OracleClobMapping()

Method Detail

### update

    public void update(Update update,
                       StateManagerImpl sm,
                       int field)
                throws SQLException

  Add the crazy 'EMPTY_CLOB()' directive in the appropriate spot.
  Overrides:
    `update` in class `LobMapping`

### insert

    public void insert(StateManagerImpl sm,
                       Object[] pks,
                       int field,
                       SQLExecutionManager sqlem)
                throws SQLException

  Description copied from interface: `StoreSecondary`
  Insert the given field into the secondary table for this mapping.
  Specified by:
    `insert` in interface `StoreSecondary`

### update

    public void update(StateManagerImpl sm,
                       Object[] pks,
                       int field,
                       SQLExecutionManager sqlem)
                throws SQLException

  Description copied from interface: `StoreSecondary`
  Update the given field into the secondary table for this mapping.
  Specified by:
    `update` in interface `StoreSecondary`

### delete

    public void delete(StateManagerImpl sm,
                       Object[] pks,
                       int field,
                       SQLExecutionManager sqlem)
                throws SQLException

  Description copied from interface: `StoreSecondary`
  Delete the field from the secondary table for this mapping.
  Specified by:
    `delete` in interface `StoreSecondary`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.